package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;

@Entity
public class TCoreServerInfoVO extends TBaseEntity {
   private String haid;
   private String serverid;
   private String servername;
   private String ip;
   private String port;
   private String isprimaryserver;
   private Date hstarttime;
   private String isactive;
   private Date hcreatetime;
   private Date hupdatetime;
   private String hremarks;
   private String hdelflg;
   private String createuser;
   private String edituser;
   private Date updatetime;
   private String remarks;
   private String engineid;
   private String username;
   private String pwd;
   private String isrun;
   private Date ecreatetime;
   private Date eupdatetime;
   private String eremarks;
   private String edelflg;

   public String getRemarks() {
      return this.remarks;
   }

   public void setRemarks(String remarks) {
      this.remarks = remarks;
   }

   public String getServerid() {
      return this.serverid;
   }

   public void setServerid(String serverid) {
      this.serverid = serverid;
   }

   public String getServername() {
      return this.servername;
   }

   public void setServername(String servername) {
      this.servername = servername;
   }

   public String getIp() {
      return this.ip;
   }

   public void setIp(String ip) {
      this.ip = ip;
   }

   public String getPort() {
      return this.port;
   }

   public void setPort(String port) {
      this.port = port;
   }

   public String getIsprimaryserver() {
      return this.isprimaryserver;
   }

   public void setIsprimaryserver(String isprimaryserver) {
      this.isprimaryserver = isprimaryserver;
   }

   public Date getHstarttime() {
      return this.hstarttime;
   }

   public void setHstarttime(Date hstarttime) {
      this.hstarttime = hstarttime;
   }

   public String getIsactive() {
      return this.isactive;
   }

   public void setIsactive(String isactive) {
      this.isactive = isactive;
   }

   public Date getHcreatetime() {
      return this.hcreatetime;
   }

   public void setHcreatetime(Date hcreatetime) {
      this.hcreatetime = hcreatetime;
   }

   public Date getHupdatetime() {
      return this.hupdatetime;
   }

   public void setHupdatetime(Date hupdatetime) {
      this.hupdatetime = hupdatetime;
   }

   public String getHremarks() {
      return this.hremarks;
   }

   public void setHremarks(String hremarks) {
      this.hremarks = hremarks;
   }

   public String getHdelflg() {
      return this.hdelflg;
   }

   public void setHdelflg(String hdelflg) {
      this.hdelflg = hdelflg;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getPwd() {
      return this.pwd;
   }

   public void setPwd(String pwd) {
      this.pwd = pwd;
   }

   public String getIsrun() {
      return this.isrun;
   }

   public void setIsrun(String isrun) {
      this.isrun = isrun;
   }

   public Date getEcreatetime() {
      return this.ecreatetime;
   }

   public void setEcreatetime(Date ecreatetime) {
      this.ecreatetime = ecreatetime;
   }

   public Date getEupdatetime() {
      return this.eupdatetime;
   }

   public void setEupdatetime(Date eupdatetime) {
      this.eupdatetime = eupdatetime;
   }

   public String getEremarks() {
      return this.eremarks;
   }

   public void setEremarks(String eremarks) {
      this.eremarks = eremarks;
   }

   public String getEdelflg() {
      return this.edelflg;
   }

   public void setEdelflg(String edelflg) {
      this.edelflg = edelflg;
   }

   public String getHaid() {
      return this.haid;
   }

   public void setHaid(String haid) {
      this.haid = haid;
   }

   public String getEngineid() {
      return this.engineid;
   }

   public void setEngineid(String engineid) {
      this.engineid = engineid;
   }

   public String getCreateuser() {
      return this.createuser;
   }

   public void setCreateuser(String createuser) {
      this.createuser = createuser;
   }

   public String getEdituser() {
      return this.edituser;
   }

   public void setEdituser(String edituser) {
      this.edituser = edituser;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }
}
